
_Init4620:

;RFMLib30.mpas,304 :: 		begin
;RFMLib30.mpas,305 :: 		INTCON  := $00;                      { Interrupts off }
	CLRF        INTCON+0 
;RFMLib30.mpas,306 :: 		INTCON2 := %10000000;
	MOVLW       128
	MOVWF       INTCON2+0 
;RFMLib30.mpas,307 :: 		INTCON3 := $00;
	CLRF        INTCON3+0 
;RFMLib30.mpas,308 :: 		PIE1    := $00;
	CLRF        PIE1+0 
;RFMLib30.mpas,309 :: 		PIE2    := $00;
	CLRF        PIE2+0 
;RFMLib30.mpas,310 :: 		CVRCON  := 0;
	CLRF        CVRCON+0 
;RFMLib30.mpas,311 :: 		CCP1CON := 0;
	CLRF        CCP1CON+0 
;RFMLib30.mpas,312 :: 		CCP2CON := 0;
	CLRF        CCP2CON+0 
;RFMLib30.mpas,314 :: 		ADCON0  := 0;
	CLRF        ADCON0+0 
;RFMLib30.mpas,315 :: 		ADCON1  := %00001111;                { alles digital }
	MOVLW       15
	MOVWF       ADCON1+0 
;RFMLib30.mpas,316 :: 		ADCON2  := 0;
	CLRF        ADCON2+0 
;RFMLib30.mpas,318 :: 		WDTCON  := 0;
	CLRF        WDTCON+0 
;RFMLib30.mpas,319 :: 		RCON    := %00011111;
	MOVLW       31
	MOVWF       RCON+0 
;RFMLib30.mpas,321 :: 		TRISA   := %11111111;                { set PORTA as input }
	MOVLW       255
	MOVWF       TRISA+0 
;RFMLib30.mpas,322 :: 		PORTA   := 0 ;
	CLRF        PORTA+0 
;RFMLib30.mpas,324 :: 		TRISB   := %11111111;                { set PORTB as input }
	MOVLW       255
	MOVWF       TRISB+0 
;RFMLib30.mpas,325 :: 		PORTB   := 0xFF ;
	MOVLW       255
	MOVWF       PORTB+0 
;RFMLib30.mpas,327 :: 		TRISC   := %11111111 ;               { set PortC as input}
	MOVLW       255
	MOVWF       TRISC+0 
;RFMLib30.mpas,328 :: 		PORTC   := 0xFF ;
	MOVLW       255
	MOVWF       PORTC+0 
;RFMLib30.mpas,330 :: 		TRISD   := $00 ;                     { set PORTD as output, PSB-Bit in TRISE }
	CLRF        TRISD+0 
;RFMLib30.mpas,331 :: 		PORTD   := 0 ;
	CLRF        PORTD+0 
;RFMLib30.mpas,333 :: 		TRISE   := %00001111;                { set PortE input, Achtung PSB-Bit f PtD}
	MOVLW       15
	MOVWF       TRISE+0 
;RFMLib30.mpas,334 :: 		PortE   := 0;
	CLRF        PORTE+0 
;RFMLib30.mpas,335 :: 		end;
L_end_Init4620:
	RETURN      0
; end of _Init4620

_InitRFM12:

;RFMLib30.mpas,343 :: 		begin
;RFMLib30.mpas,344 :: 		LEDX_Direction :=  0;
	BCF         TRISD1_bit+0, BitPos(TRISD1_bit+0) 
;RFMLib30.mpas,345 :: 		LEDR_Direction :=  0;
	BCF         TRISD0_bit+0, BitPos(TRISD0_bit+0) 
;RFMLib30.mpas,346 :: 		nSEL_Direction :=  0;
	BCF         TRISC2_bit+0, BitPos(TRISC2_bit+0) 
;RFMLib30.mpas,347 :: 		SDIX_Direction :=  0;
	BCF         TRISC5_bit+0, BitPos(TRISC5_bit+0) 
;RFMLib30.mpas,348 :: 		SDOX_Direction :=  1;
	BSF         TRISC4_bit+0, BitPos(TRISC4_bit+0) 
;RFMLib30.mpas,349 :: 		SCKX_Direction :=  0;
	BCF         TRISC3_bit+0, BitPos(TRISC3_bit+0) 
;RFMLib30.mpas,350 :: 		nIRQ_Direction :=  1;
	BSF         TRISB0_bit+0, BitPos(TRISB0_bit+0) 
;RFMLib30.mpas,352 :: 		nSEL := 1;
	BSF         RC2_bit+0, BitPos(RC2_bit+0) 
;RFMLib30.mpas,353 :: 		SDIX := 1;
	BSF         RC5_bit+0, BitPos(RC5_bit+0) 
;RFMLib30.mpas,354 :: 		SDOX := 0;
	BCF         RC4_bit+0, BitPos(RC4_bit+0) 
;RFMLib30.mpas,355 :: 		SCKX := 0;
	BCF         RC3_bit+0, BitPos(RC3_bit+0) 
;RFMLib30.mpas,356 :: 		LEDX := 0;
	BCF         RD1_bit+0, BitPos(RD1_bit+0) 
;RFMLib30.mpas,357 :: 		LEDR := 0;
	BCF         RD0_bit+0, BitPos(RD0_bit+0) 
;RFMLib30.mpas,359 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV16, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;RFMLib30.mpas,360 :: 		delay_us(100);
	MOVLW       83
	MOVWF       R13, 0
L__InitRFM122:
	DECFSZ      R13, 1, 1
	BRA         L__InitRFM122
;RFMLib30.mpas,363 :: 		SPIPutGet16(0x80D8);                 // enable register,433MHz,12.5pF
	MOVLW       216
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       128
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,364 :: 		SPIPutGet16(0x8258);                 // enable baseband,synt,!RX, !TX
	MOVLW       88
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       130
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,365 :: 		SPIPutGet16(0xCC15);                 // only RFM12B, low power
	MOVLW       21
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       204
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,366 :: 		SPIPutGet16(0xC000);                 // clock, brownout
	MOVLW       0
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       192
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,367 :: 		SPIPutGet16(0xA640);                 // 434MHz
	MOVLW       64
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       166
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,368 :: 		SPIPutGet16(0xC647);                 // 4.8kbps }
	MOVLW       71
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       198
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,371 :: 		SPIPutGet16(0x94A0);                 // VDI,FAST,134kHz,0dBm,-103dBm
	MOVLW       160
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       148
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,372 :: 		SPIPutGet16(0xCED4);                 // only RFM12B, sync pattern
	MOVLW       212
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       206
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,373 :: 		SPIPutGet16(0xC2AC);                 // autobit, digifilter
	MOVLW       172
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       194
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,374 :: 		SPIPutGet16(0xCA81);                 // FIFO empty, reset off
	MOVLW       129
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       202
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,375 :: 		SPIPutGet16(0xC4B7);                 // AFC
	MOVLW       183
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       196
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,376 :: 		SPIPutGet16(0x9860);                 // !mp,90kHz deviation,MAX OUT
	MOVLW       96
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       152
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,377 :: 		SPIPutGet16(0xE000);                 // Wakeup
	MOVLW       0
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       224
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,378 :: 		SPIPutGet16(0xC800);                 // cyclic RX off
	MOVLW       0
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       200
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,380 :: 		Fmod := 1;                           // RFM init.
	MOVLW       1
	MOVWF       _Fmod+0 
;RFMLib30.mpas,381 :: 		Fget := 0;
	CLRF        RFMLib30_Fget+0 
;RFMLib30.mpas,382 :: 		Fput := 0;
	CLRF        RFMLib30_Fput+0 
;RFMLib30.mpas,383 :: 		result := Fmod;
	MOVLW       1
	MOVWF       InitRFM12_local_result+0 
;RFMLib30.mpas,384 :: 		end;
	MOVF        InitRFM12_local_result+0, 0 
	MOVWF       R0 
L_end_InitRFM12:
	RETURN      0
; end of _InitRFM12

_RFMGetStart:

;RFMLib30.mpas,393 :: 		begin
;RFMLib30.mpas,394 :: 		Fenu := 1;
	MOVLW       1
	MOVWF       RFMLib30_Fenu+0 
;RFMLib30.mpas,395 :: 		Fmod := 2;
	MOVLW       2
	MOVWF       _Fmod+0 
;RFMLib30.mpas,396 :: 		Fget := 1;
	MOVLW       1
	MOVWF       RFMLib30_Fget+0 
;RFMLib30.mpas,397 :: 		Fidx := 0;
	CLRF        RFMLib30_Fidx+0 
;RFMLib30.mpas,398 :: 		Fham := 1;                            // starts with hi-part
	MOVLW       1
	MOVWF       RFMLib30_Fham+0 
;RFMLib30.mpas,399 :: 		Flen := BUMAX;
	MOVLW       32
	MOVWF       RFMLib30_Flen+0 
;RFMLib30.mpas,401 :: 		for I := 0 to BUmax do
	CLRF        RFMGetStart_I+0 
L__RFMGetStart5:
;RFMLib30.mpas,402 :: 		RXBU[I] := 0;                      // Clear RX Buffer
	MOVLW       _RXBU+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_RXBU+0)
	MOVWF       FSR1H 
	MOVF        RFMGetStart_I+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
	MOVF        RFMGetStart_I+0, 0 
	XORLW       32
	BTFSC       STATUS+0, 2 
	GOTO        L__RFMGetStart8
	INCF        RFMGetStart_I+0, 1 
	GOTO        L__RFMGetStart5
L__RFMGetStart8:
;RFMLib30.mpas,403 :: 		INTCON.1 := 0;                       // Reset IR Flag
	BCF         INTCON+0, 1 
;RFMLib30.mpas,404 :: 		SPIPutGet16(0x82D8);                 // RX 0n
	MOVLW       216
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       130
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,405 :: 		delay_us(1000);                      // warmup RX
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       61
	MOVWF       R13, 0
L__RFMGetStart9:
	DECFSZ      R13, 1, 1
	BRA         L__RFMGetStart9
	DECFSZ      R12, 1, 1
	BRA         L__RFMGetStart9
	NOP
	NOP
;RFMLib30.mpas,406 :: 		SPIPutGet16(0xCA81);                 // FIFO init
	MOVLW       129
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       202
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,407 :: 		SPIPutGet16(0xCA83);                 // FIFO activ
	MOVLW       131
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       202
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,408 :: 		SPIPutGet16(0x0000);                 // get status, ask IR
	CLRF        FARG_SPIPutGet16_CMD+0 
	CLRF        FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,409 :: 		SPIPutGet16(0xB000);                 // do dummy read
	MOVLW       0
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       176
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,410 :: 		SPIPutGet16(0x0000);                 // activate IR
	CLRF        FARG_SPIPutGet16_CMD+0 
	CLRF        FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,412 :: 		result := Fget;
	MOVF        RFMLib30_Fget+0, 0 
	MOVWF       RFMGetStart_local_result+0 
;RFMLib30.mpas,413 :: 		end;                                 // start RX
	MOVF        RFMGetStart_local_result+0, 0 
	MOVWF       R0 
L_end_RFMGetStart:
	RETURN      0
; end of _RFMGetStart

_RFMGetReady:

;RFMLib30.mpas,420 :: 		begin
;RFMLib30.mpas,421 :: 		result := Fget;
	MOVF        RFMLib30_Fget+0, 0 
	MOVWF       R1 
;RFMLib30.mpas,422 :: 		end;
	MOVF        R1, 0 
	MOVWF       R0 
L_end_RFMGetReady:
	RETURN      0
; end of _RFMGetReady

_RFMPutStart:

;RFMLib30.mpas,431 :: 		begin
;RFMLib30.mpas,432 :: 		Fenu   := 0;
	CLRF        RFMLib30_Fenu+0 
;RFMLib30.mpas,433 :: 		Fput   := 1;
	MOVLW       1
	MOVWF       RFMLib30_Fput+0 
;RFMLib30.mpas,434 :: 		Flen   := TXBU[2];
	MOVF        _TXBU+2, 0 
	MOVWF       RFMLib30_Flen+0 
;RFMLib30.mpas,435 :: 		if ((Flen < 4) or (Flen > BUMAX)) then
	MOVLW       4
	SUBWF       _TXBU+2, 0 
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R1 
	MOVF        _TXBU+2, 0 
	SUBLW       32
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	IORWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__RFMPutStart13
;RFMLib30.mpas,437 :: 		Fput := 9;
	MOVLW       9
	MOVWF       RFMLib30_Fput+0 
;RFMLib30.mpas,438 :: 		exit;
	GOTO        L_end__RFMPutStart
;RFMLib30.mpas,439 :: 		end;
L__RFMPutStart13:
;RFMLib30.mpas,440 :: 		Fmod := 4;
	MOVLW       4
	MOVWF       _Fmod+0 
;RFMLib30.mpas,441 :: 		Fidx := 1;                           // because first byte of header will send here
	MOVLW       1
	MOVWF       RFMLib30_Fidx+0 
;RFMLib30.mpas,442 :: 		Fint := 1;                           // put IR starts with header mode
	MOVLW       1
	MOVWF       RFMLib30_Fint+0 
;RFMLib30.mpas,444 :: 		INTCON.1 := 0;                       // Reset IR Flag
	BCF         INTCON+0, 1 
;RFMLib30.mpas,445 :: 		SPIPutGet16(0x8278);                 // Tx on
	MOVLW       120
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       130
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,446 :: 		delay_us(1000);                      // warmup TX
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       61
	MOVWF       R13, 0
L__RFMPutStart15:
	DECFSZ      R13, 1, 1
	BRA         L__RFMPutStart15
	DECFSZ      R12, 1, 1
	BRA         L__RFMPutStart15
	NOP
	NOP
;RFMLib30.mpas,447 :: 		SPIPutGet16(0xB8AA);                 // send first byte of header
	MOVLW       170
	MOVWF       FARG_SPIPutGet16_CMD+0 
	MOVLW       184
	MOVWF       FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,448 :: 		SPIPutGet16(0x0000);                 // get status, ask IR
	CLRF        FARG_SPIPutGet16_CMD+0 
	CLRF        FARG_SPIPutGet16_CMD+1 
	CALL        _SPIPutGet16+0, 0
;RFMLib30.mpas,449 :: 		result := Fput;
	MOVF        RFMLib30_Fput+0, 0 
	MOVWF       RFMPutStart_local_result+0 
;RFMLib30.mpas,450 :: 		end;
L_end__RFMPutStart:
	MOVF        RFMPutStart_local_result+0, 0 
	MOVWF       R0 
L_end_RFMPutStart:
	RETURN      0
; end of _RFMPutStart

_RFMPutReady:

;RFMLib30.mpas,456 :: 		begin
;RFMLib30.mpas,457 :: 		result := Fput;
	MOVF        RFMLib30_Fput+0, 0 
	MOVWF       R1 
;RFMLib30.mpas,458 :: 		end;
	MOVF        R1, 0 
	MOVWF       R0 
L_end_RFMPutReady:
	RETURN      0
; end of _RFMPutReady

_DecHam:

;RFMLib30.mpas,465 :: 		begin
;RFMLib30.mpas,467 :: 		0x15:Result := 0x00;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       21
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam21
	CLRF        R1 
	GOTO        L__DecHam18
L__DecHam21:
;RFMLib30.mpas,468 :: 		0x02:Result := 0x01;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam24
	MOVLW       1
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam24:
;RFMLib30.mpas,469 :: 		0x49:Result := 0x02;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       73
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam27
	MOVLW       2
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam27:
;RFMLib30.mpas,470 :: 		0x5E:Result := 0x03;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       94
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam30
	MOVLW       3
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam30:
;RFMLib30.mpas,471 :: 		0x64:Result := 0x04;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       100
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam33
	MOVLW       4
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam33:
;RFMLib30.mpas,473 :: 		0x73:Result := 0x05;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       115
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam36
	MOVLW       5
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam36:
;RFMLib30.mpas,474 :: 		0x38:Result := 0x06;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       56
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam39
	MOVLW       6
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam39:
;RFMLib30.mpas,475 :: 		0x2F:Result := 0x07;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       47
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam42
	MOVLW       7
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam42:
;RFMLib30.mpas,476 :: 		0xD0:Result := 0x08;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       208
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam45
	MOVLW       8
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam45:
;RFMLib30.mpas,477 :: 		0xC7:Result := 0x09;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       199
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam48
	MOVLW       9
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam48:
;RFMLib30.mpas,479 :: 		0x8C:Result := 0x0A;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       140
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam51
	MOVLW       10
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam51:
;RFMLib30.mpas,480 :: 		0x9B:Result := 0x0B;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       155
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam54
	MOVLW       11
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam54:
;RFMLib30.mpas,481 :: 		0xA1:Result := 0x0C;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       161
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam57
	MOVLW       12
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam57:
;RFMLib30.mpas,482 :: 		0xB6:Result := 0x0D;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       182
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam60
	MOVLW       13
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam60:
;RFMLib30.mpas,483 :: 		0xFD:Result := 0x0E;
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       253
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam63
	MOVLW       14
	MOVWF       R1 
	GOTO        L__DecHam18
L__DecHam63:
;RFMLib30.mpas,484 :: 		0xEA:Result := 0x0F
	MOVF        FARG_DecHam_Ham+0, 0 
	XORLW       234
	BTFSS       STATUS+0, 2 
	GOTO        L__DecHam66
	MOVLW       15
	MOVWF       R1 
;RFMLib30.mpas,485 :: 		else
	GOTO        L__DecHam18
L__DecHam66:
;RFMLib30.mpas,486 :: 		Result := 0xFF;                  // Hamming Error
	MOVLW       255
	MOVWF       R1 
L__DecHam18:
;RFMLib30.mpas,488 :: 		end;
	MOVF        R1, 0 
	MOVWF       R0 
L_end_DecHam:
	RETURN      0
; end of _DecHam

_SPIPutGet16:

;RFMLib30.mpas,500 :: 		begin
;RFMLib30.mpas,502 :: 		CMDlo := lo(CMD);
	MOVF        FARG_SPIPutGet16_CMD+0, 0 
	MOVWF       SPIPutGet16_CMDlo+0 
;RFMLib30.mpas,503 :: 		nSEL  := 0;
	BCF         RC2_bit+0, BitPos(RC2_bit+0) 
;RFMLib30.mpas,504 :: 		SPIhi := SPIreadM(CMDhi);
	MOVF        FARG_SPIPutGet16_CMD+1, 0 
	MOVWF       FARG_SPIreadM_Bput+0 
	CALL        _SPIreadM+0, 0
	MOVF        R0, 0 
	MOVWF       SPIPutGet16_SPIhi+0 
;RFMLib30.mpas,505 :: 		SPIlo := SPIreadM(CMDlo);
	MOVF        SPIPutGet16_CMDlo+0, 0 
	MOVWF       FARG_SPIreadM_Bput+0 
	CALL        _SPIreadM+0, 0
;RFMLib30.mpas,506 :: 		nSEL  := 1;
	BSF         RC2_bit+0, BitPos(RC2_bit+0) 
;RFMLib30.mpas,507 :: 		SPIin := SPIhi shl 8;
	MOVF        SPIPutGet16_SPIhi+0, 0 
	MOVWF       R2 
	CLRF        R1 
;RFMLib30.mpas,508 :: 		SPIin := SPIin + SPIlo;
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       SPIPutGet16_local_result+0 
	MOVLW       0
	ADDWFC      R2, 0 
	MOVWF       SPIPutGet16_local_result+1 
;RFMLib30.mpas,509 :: 		result:= SPIin;
;RFMLib30.mpas,510 :: 		end;
	MOVF        SPIPutGet16_local_result+0, 0 
	MOVWF       R0 
	MOVF        SPIPutGet16_local_result+1, 0 
	MOVWF       R1 
L_end_SPIPutGet16:
	RETURN      0
; end of _SPIPutGet16

_SPIPut16Get8:

;RFMLib30.mpas,522 :: 		begin
;RFMLib30.mpas,524 :: 		CMDlo := lo(CMD);
	MOVF        FARG_SPIPut16Get8_CMD+0, 0 
	MOVWF       SPIPut16Get8_CMDlo+0 
;RFMLib30.mpas,525 :: 		nSEL  := 0;
	BCF         RC2_bit+0, BitPos(RC2_bit+0) 
;RFMLib30.mpas,526 :: 		SPIhi := SPIread(CMDhi);
	MOVF        FARG_SPIPut16Get8_CMD+1, 0 
	MOVWF       FARG_SPIread_Bput+0 
	CALL        _SPIread+0, 0
;RFMLib30.mpas,527 :: 		SPIlo := SPIread(CMDlo);
	MOVF        SPIPut16Get8_CMDlo+0, 0 
	MOVWF       FARG_SPIread_Bput+0 
	CALL        _SPIread+0, 0
;RFMLib30.mpas,528 :: 		nSEL  := 1;
	BSF         RC2_bit+0, BitPos(RC2_bit+0) 
;RFMLib30.mpas,529 :: 		result:= SPIlo;
	MOVF        R0, 0 
	MOVWF       SPIPut16Get8_local_result+0 
;RFMLib30.mpas,530 :: 		end;
	MOVF        SPIPut16Get8_local_result+0, 0 
	MOVWF       R0 
L_end_SPIPut16Get8:
	RETURN      0
; end of _SPIPut16Get8

_CRCalc:

;RFMLib30.mpas,547 :: 		begin
;RFMLib30.mpas,548 :: 		CRC := $FFFF;
	MOVLW       255
	MOVWF       R5 
	MOVLW       255
	MOVWF       R6 
;RFMLib30.mpas,549 :: 		for I := Istrt to Iend do
	MOVF        FARG_CRCalc_Istrt+0, 0 
	MOVWF       R9 
	MOVLW       0
	MOVWF       R10 
L__CRCalc70:
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       R10, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CRCalc160
	MOVF        R9, 0 
	SUBWF       FARG_CRCalc_Iend+0, 0 
L__CRCalc160:
	BTFSS       STATUS+0, 0 
	GOTO        L__CRCalc74
;RFMLib30.mpas,551 :: 		B := BUF[I];
	MOVF        R9, 0 
	ADDWF       FARG_CRCalc_BUF+0, 0 
	MOVWF       FSR2 
	MOVF        R10, 0 
	ADDWFC      FARG_CRCalc_BUF+1, 0 
	MOVWF       FSR2H 
;RFMLib30.mpas,552 :: 		CRC := CRC xor B;
	MOVF        POSTINC2+0, 0 
	XORWF       R5, 1 
	MOVLW       0
	XORWF       R6, 1 
;RFMLib30.mpas,553 :: 		for N := 1 to 8 do
	MOVLW       1
	MOVWF       R7 
	MOVLW       0
	MOVWF       R8 
L__CRCalc76:
;RFMLib30.mpas,554 :: 		if (CRC and 1) <> 0 then
	MOVLW       1
	ANDWF       R5, 0 
	MOVWF       R1 
	MOVF        R6, 0 
	MOVWF       R2 
	MOVLW       0
	ANDWF       R2, 1 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CRCalc161
	MOVLW       0
	XORWF       R1, 0 
L__CRCalc161:
	BTFSC       STATUS+0, 2 
	GOTO        L__CRCalc81
;RFMLib30.mpas,555 :: 		CRC :=(CRC shr 1) xor Poly
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R6, 7 
	MOVLW       1
	XORWF       R5, 1 
	MOVLW       160
	XORWF       R6, 1 
	GOTO        L__CRCalc82
;RFMLib30.mpas,556 :: 		else
L__CRCalc81:
;RFMLib30.mpas,557 :: 		CRC := CRC shr 1;
	RRCF        R6, 1 
	RRCF        R5, 1 
	BCF         R6, 7 
L__CRCalc82:
	MOVLW       0
	XORWF       R8, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CRCalc162
	MOVLW       8
	XORWF       R7, 0 
L__CRCalc162:
	BTFSC       STATUS+0, 2 
	GOTO        L__CRCalc79
	INFSNZ      R7, 1 
	INCF        R8, 1 
	GOTO        L__CRCalc76
L__CRCalc79:
;RFMLib30.mpas,558 :: 		end;
	MOVLW       0
	XORWF       R10, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__CRCalc163
	MOVF        FARG_CRCalc_Iend+0, 0 
	XORWF       R9, 0 
L__CRCalc163:
	BTFSC       STATUS+0, 2 
	GOTO        L__CRCalc74
	INFSNZ      R9, 1 
	INCF        R10, 1 
	GOTO        L__CRCalc70
L__CRCalc74:
;RFMLib30.mpas,559 :: 		Result := CRC;
	MOVF        R5, 0 
	MOVWF       R3 
	MOVF        R6, 0 
	MOVWF       R4 
;RFMLib30.mpas,560 :: 		end;
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
L_end_CRCalc:
	RETURN      0
; end of _CRCalc

_RFM12IntRX:

;RFMLib30.mpas,569 :: 		begin
;RFMLib30.mpas,570 :: 		Fget := 2;                           // get is running
	MOVLW       2
	MOVWF       RFMLib30_Fget+0 
;RFMLib30.mpas,571 :: 		if Fidx <= Flen then
	MOVF        RFMLib30_Fidx+0, 0 
	SUBWF       RFMLib30_Flen+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__RFM12IntRX85
;RFMLib30.mpas,573 :: 		Byt := SPIPut16Get8(0xB000);       // get Byte
	MOVLW       0
	MOVWF       FARG_SPIPut16Get8_CMD+0 
	MOVLW       176
	MOVWF       FARG_SPIPut16Get8_CMD+1 
	CALL        _SPIPut16Get8+0, 0
	MOVF        R0, 0 
	MOVWF       RFM12IntRX_Byt+0 
;RFMLib30.mpas,574 :: 		SPIPut16Get8(0x0000);              // get status, ask for IR
	CLRF        FARG_SPIPut16Get8_CMD+0 
	CLRF        FARG_SPIPut16Get8_CMD+1 
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mpas,575 :: 		if Fham = 1 then
	MOVF        RFMLib30_Fham+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntRX88
;RFMLib30.mpas,577 :: 		Fhi  := DecHam(Byt);             // first Hamming Byte
	MOVF        RFM12IntRX_Byt+0, 0 
	MOVWF       FARG_DecHam_Ham+0 
	CALL        _DecHam+0, 0
	MOVF        R0, 0 
	MOVWF       RFMLib30_Fhi+0 
;RFMLib30.mpas,578 :: 		if Fhi = 0xFF then
	MOVF        R0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntRX91
;RFMLib30.mpas,580 :: 		Fget := 8;                     // Error-Code
	MOVLW       8
	MOVWF       RFMLib30_Fget+0 
;RFMLib30.mpas,581 :: 		Fmod := 3;                     // End of Get
	MOVLW       3
	MOVWF       _Fmod+0 
;RFMLib30.mpas,582 :: 		exit;
	GOTO        L_end__RFM12IntRX
;RFMLib30.mpas,583 :: 		end;
L__RFM12IntRX91:
;RFMLib30.mpas,584 :: 		Fham := 2;
	MOVLW       2
	MOVWF       RFMLib30_Fham+0 
;RFMLib30.mpas,585 :: 		exit;
	GOTO        L_end__RFM12IntRX
;RFMLib30.mpas,586 :: 		end;
L__RFM12IntRX88:
;RFMLib30.mpas,587 :: 		if Fham = 2 then
	MOVF        RFMLib30_Fham+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntRX94
;RFMLib30.mpas,589 :: 		Flo  := DecHam(Byt);
	MOVF        RFM12IntRX_Byt+0, 0 
	MOVWF       FARG_DecHam_Ham+0 
	CALL        _DecHam+0, 0
	MOVF        R0, 0 
	MOVWF       RFMLib30_Flo+0 
;RFMLib30.mpas,590 :: 		if Flo = 0xFF then
	MOVF        R0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntRX97
;RFMLib30.mpas,592 :: 		Fget := 8;                     // Error-Code
	MOVLW       8
	MOVWF       RFMLib30_Fget+0 
;RFMLib30.mpas,593 :: 		Fmod := 3;                     // End of Get
	MOVLW       3
	MOVWF       _Fmod+0 
;RFMLib30.mpas,594 :: 		exit;
	GOTO        L_end__RFM12IntRX
;RFMLib30.mpas,595 :: 		end;
L__RFM12IntRX97:
;RFMLib30.mpas,596 :: 		Fham := 1;
	MOVLW       1
	MOVWF       RFMLib30_Fham+0 
;RFMLib30.mpas,597 :: 		end;
L__RFM12IntRX94:
;RFMLib30.mpas,598 :: 		Byt := (Fhi shl 4) or Flo;
	MOVF        RFMLib30_Fhi+0, 0 
	MOVWF       R0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	MOVF        RFMLib30_Flo+0, 0 
	IORWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       RFM12IntRX_Byt+0 
;RFMLib30.mpas,599 :: 		RXBU[Fidx] := Byt;
	MOVLW       _RXBU+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_RXBU+0)
	MOVWF       FSR1H 
	MOVF        RFMLib30_Fidx+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;RFMLib30.mpas,600 :: 		if Fidx = 2 then
	MOVF        RFMLib30_Fidx+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntRX100
;RFMLib30.mpas,601 :: 		Flen := RXBU[2];                 // takes msg length
	MOVF        _RXBU+2, 0 
	MOVWF       RFMLib30_Flen+0 
L__RFM12IntRX100:
;RFMLib30.mpas,602 :: 		if Flen > BUMAX then
	MOVF        RFMLib30_Flen+0, 0 
	SUBLW       32
	BTFSC       STATUS+0, 0 
	GOTO        L__RFM12IntRX103
;RFMLib30.mpas,603 :: 		Flen := BUMAX;                   // avoid buffer overflow,if transm. error
	MOVLW       32
	MOVWF       RFMLib30_Flen+0 
L__RFM12IntRX103:
;RFMLib30.mpas,604 :: 		inc(Fidx);
	INCF        RFMLib30_Fidx+0, 1 
;RFMLib30.mpas,605 :: 		if Fidx > Flen then
	MOVF        RFMLib30_Fidx+0, 0 
	SUBWF       RFMLib30_Flen+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__RFM12IntRX106
;RFMLib30.mpas,607 :: 		Fget  := 3;                      // get is ready
	MOVLW       3
	MOVWF       RFMLib30_Fget+0 
;RFMLib30.mpas,608 :: 		Crc16 := CRCalc(RXBU,0,Flen-2);
	MOVLW       _RXBU+0
	MOVWF       FARG_CRCalc_BUF+0 
	MOVLW       hi_addr(_RXBU+0)
	MOVWF       FARG_CRCalc_BUF+1 
	CLRF        FARG_CRCalc_Istrt+0 
	MOVLW       2
	SUBWF       RFMLib30_Flen+0, 0 
	MOVWF       FARG_CRCalc_Iend+0 
	CALL        _CRCalc+0, 0
;RFMLib30.mpas,609 :: 		Fhi   := (CRC16 and 0xFF00) shr 8;
	MOVLW       0
	ANDWF       R0, 0 
	MOVWF       R3 
	MOVF        R1, 0 
	ANDLW       255
	MOVWF       R4 
	MOVF        R4, 0 
	MOVWF       R5 
	CLRF        R6 
	MOVF        R5, 0 
	MOVWF       RFMLib30_Fhi+0 
;RFMLib30.mpas,610 :: 		Flo   := (CRC16 and 0x00FF);
	MOVLW       255
	ANDWF       R0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       RFMLib30_Flo+0 
;RFMLib30.mpas,611 :: 		if ((RXBU[Flen-1] <> Fhi) or (RXBU[Flen] <> Flo)) then
	DECF        RFMLib30_Flen+0, 0 
	MOVWF       R0 
	MOVLW       _RXBU+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_RXBU+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	XORWF       R5, 0 
	MOVLW       0
	BTFSS       STATUS+0, 2 
	MOVLW       255
	MOVWF       R1 
	MOVLW       _RXBU+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_RXBU+0)
	MOVWF       FSR0H 
	MOVF        RFMLib30_Flen+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	XORWF       R2, 0 
	MOVLW       0
	BTFSS       STATUS+0, 2 
	MOVLW       255
	MOVWF       R0 
	MOVF        R1, 0 
	IORWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__RFM12IntRX109
;RFMLib30.mpas,612 :: 		Fget := 9;                     // msg NOK
	MOVLW       9
	MOVWF       RFMLib30_Fget+0 
L__RFM12IntRX109:
;RFMLib30.mpas,613 :: 		Fmod := 3;                       // end of get
	MOVLW       3
	MOVWF       _Fmod+0 
;RFMLib30.mpas,614 :: 		end;
L__RFM12IntRX106:
;RFMLib30.mpas,615 :: 		end;
L__RFM12IntRX85:
;RFMLib30.mpas,617 :: 		end;
L_end__RFM12IntRX:
L_end_RFM12IntRX:
	RETURN      0
; end of _RFM12IntRX

_RFM12IntTX:

;RFMLib30.mpas,627 :: 		begin
;RFMLib30.mpas,629 :: 		01:begin                           // send header
	MOVF        RFMLib30_Fint+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntTX115
;RFMLib30.mpas,630 :: 		if Fidx = 1 then
	MOVF        RFMLib30_Fidx+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntTX117
;RFMLib30.mpas,632 :: 		Fput := 2;                    // put is running
	MOVLW       2
	MOVWF       RFMLib30_Fput+0 
;RFMLib30.mpas,633 :: 		CRC16  := CRCalc(TXBU,0,Flen-2);     // calc CRC16
	MOVLW       _TXBU+0
	MOVWF       FARG_CRCalc_BUF+0 
	MOVLW       hi_addr(_TXBU+0)
	MOVWF       FARG_CRCalc_BUF+1 
	CLRF        FARG_CRCalc_Istrt+0 
	MOVLW       2
	SUBWF       RFMLib30_Flen+0, 0 
	MOVWF       FARG_CRCalc_Iend+0 
	CALL        _CRCalc+0, 0
	MOVF        R0, 0 
	MOVWF       RFM12IntTX_CRC16+0 
	MOVF        R1, 0 
	MOVWF       RFM12IntTX_CRC16+1 
;RFMLib30.mpas,634 :: 		TXBU[Flen-1] := (CRC16 and 0xFF00) shr 8;
	DECF        RFMLib30_Flen+0, 0 
	MOVWF       R2 
	MOVLW       _TXBU+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_TXBU+0)
	MOVWF       FSR1H 
	MOVF        R2, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       0
	ANDWF       R0, 0 
	MOVWF       R3 
	MOVF        R1, 0 
	ANDLW       255
	MOVWF       R4 
	MOVF        R4, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;RFMLib30.mpas,635 :: 		TXBU[Flen]   :=  CRC16 and 0x00FF;
	MOVLW       _TXBU+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_TXBU+0)
	MOVWF       FSR1H 
	MOVF        RFMLib30_Flen+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       255
	ANDWF       RFM12IntTX_CRC16+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;RFMLib30.mpas,636 :: 		end;
L__RFM12IntTX117:
;RFMLib30.mpas,638 :: 		SPIPut16Get8(Fhead[Fidx]);
	MOVF        RFMLib30_Fidx+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       _Fhead+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_Fhead+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_Fhead+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, FARG_SPIPut16Get8_CMD+0
	TBLRD*+
	MOVFF       TABLAT+0, FARG_SPIPut16Get8_CMD+1
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mpas,639 :: 		inc(Fidx);
	INCF        RFMLib30_Fidx+0, 1 
;RFMLib30.mpas,640 :: 		if Fidx > 4 then
	MOVF        RFMLib30_Fidx+0, 0 
	SUBLW       4
	BTFSC       STATUS+0, 0 
	GOTO        L__RFM12IntTX120
;RFMLib30.mpas,642 :: 		Fint := 2;                    // do payload now
	MOVLW       2
	MOVWF       RFMLib30_Fint+0 
;RFMLib30.mpas,643 :: 		Fidx := 0;
	CLRF        RFMLib30_Fidx+0 
;RFMLib30.mpas,644 :: 		Fham := 1;                    // start Hamming with hi-half
	MOVLW       1
	MOVWF       RFMLib30_Fham+0 
;RFMLib30.mpas,645 :: 		end;
L__RFM12IntTX120:
;RFMLib30.mpas,646 :: 		exit;
	GOTO        L_end__RFM12IntTX
;RFMLib30.mpas,647 :: 		end;
L__RFM12IntTX115:
;RFMLib30.mpas,648 :: 		02:begin                           // send payload
	MOVF        RFMLib30_Fint+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntTX124
;RFMLib30.mpas,649 :: 		if Fham = 1 then
	MOVF        RFMLib30_Fham+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntTX126
;RFMLib30.mpas,651 :: 		Hilo := (TXBU[Fidx] and 0xF0) shr 4;
	MOVLW       _TXBU+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_TXBU+0)
	MOVWF       FSR0H 
	MOVF        RFMLib30_Fidx+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       240
	ANDWF       POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
;RFMLib30.mpas,652 :: 		Cmd  := 0xB800 or HamVa[Hilo];
	MOVLW       _HamVa+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_HamVa+0)
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      TBLPTRH, 1 
	MOVLW       higher_addr(_HamVa+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVLW       0
	IORWF       R0, 0 
	MOVWF       FARG_SPIPut16Get8_CMD+0 
	MOVLW       0
	IORLW       184
	MOVWF       FARG_SPIPut16Get8_CMD+1 
;RFMLib30.mpas,653 :: 		SPIPut16Get8(Cmd);            // send high Hamming
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mpas,654 :: 		SPIPut16Get8(0x0000);         // get status, ask fo IR
	CLRF        FARG_SPIPut16Get8_CMD+0 
	CLRF        FARG_SPIPut16Get8_CMD+1 
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mpas,655 :: 		Fham := 2;                    // now lo Hamming
	MOVLW       2
	MOVWF       RFMLib30_Fham+0 
;RFMLib30.mpas,656 :: 		exit;
	GOTO        L_end__RFM12IntTX
;RFMLib30.mpas,657 :: 		end;
L__RFM12IntTX126:
;RFMLib30.mpas,658 :: 		if Fham = 2 then
	MOVF        RFMLib30_Fham+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntTX129
;RFMLib30.mpas,660 :: 		Hilo := (TXBU[Fidx] and 0x0F);
	MOVLW       _TXBU+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_TXBU+0)
	MOVWF       FSR0H 
	MOVF        RFMLib30_Fidx+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVLW       15
	ANDWF       POSTINC0+0, 0 
	MOVWF       R0 
;RFMLib30.mpas,661 :: 		Cmd  := 0xB800 or HamVa[Hilo];
	MOVLW       _HamVa+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_HamVa+0)
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      TBLPTRH, 1 
	MOVLW       higher_addr(_HamVa+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVLW       0
	IORWF       R0, 0 
	MOVWF       FARG_SPIPut16Get8_CMD+0 
	MOVLW       0
	IORLW       184
	MOVWF       FARG_SPIPut16Get8_CMD+1 
;RFMLib30.mpas,662 :: 		SPIPut16Get8(Cmd);            // send low Hamming
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mpas,663 :: 		SPIPut16Get8(0x0000);         // get status, ask fo IR
	CLRF        FARG_SPIPut16Get8_CMD+0 
	CLRF        FARG_SPIPut16Get8_CMD+1 
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mpas,664 :: 		Fham := 1;                    // now high Hamming again
	MOVLW       1
	MOVWF       RFMLib30_Fham+0 
;RFMLib30.mpas,665 :: 		inc(Fidx);
	INCF        RFMLib30_Fidx+0, 1 
;RFMLib30.mpas,666 :: 		if Fidx > Flen then
	MOVF        RFMLib30_Fidx+0, 0 
	SUBWF       RFMLib30_Flen+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__RFM12IntTX132
;RFMLib30.mpas,668 :: 		Fint := 3;                  // do trailer now
	MOVLW       3
	MOVWF       RFMLib30_Fint+0 
;RFMLib30.mpas,669 :: 		Fidx := 0;
	CLRF        RFMLib30_Fidx+0 
;RFMLib30.mpas,670 :: 		end;
L__RFM12IntTX132:
;RFMLib30.mpas,671 :: 		end;
L__RFM12IntTX129:
;RFMLib30.mpas,672 :: 		exit;
	GOTO        L_end__RFM12IntTX
;RFMLib30.mpas,673 :: 		end;
L__RFM12IntTX124:
;RFMLib30.mpas,674 :: 		03:begin                           // send trailer
	MOVF        RFMLib30_Fint+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__RFM12IntTX136
;RFMLib30.mpas,675 :: 		SPIPut16Get8(0xB8AA);
	MOVLW       170
	MOVWF       FARG_SPIPut16Get8_CMD+0 
	MOVLW       184
	MOVWF       FARG_SPIPut16Get8_CMD+1 
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mpas,676 :: 		SPIPut16Get8(0x0000);           // get status, ask fo IR
	CLRF        FARG_SPIPut16Get8_CMD+0 
	CLRF        FARG_SPIPut16Get8_CMD+1 
	CALL        _SPIPut16Get8+0, 0
;RFMLib30.mpas,677 :: 		Fput := 3;                      // put is OK and ready
	MOVLW       3
	MOVWF       RFMLib30_Fput+0 
;RFMLib30.mpas,678 :: 		Fmod := 5;
	MOVLW       5
	MOVWF       _Fmod+0 
;RFMLib30.mpas,679 :: 		exit;
	GOTO        L_end__RFM12IntTX
;RFMLib30.mpas,680 :: 		end;
L__RFM12IntTX136:
;RFMLib30.mpas,682 :: 		end;
L_end__RFM12IntTX:
L_end_RFM12IntTX:
	RETURN      0
; end of _RFM12IntTX

_SPIread:

;RFMLib30.mpas,689 :: 		begin
;RFMLib30.mpas,690 :: 		SSPBUF  := Bput;
	MOVF        FARG_SPIread_Bput+0, 0 
	MOVWF       SSPBUF+0 
;RFMLib30.mpas,691 :: 		nop;nop;
	NOP
	NOP
;RFMLib30.mpas,692 :: 		while SSPSTAT.0 = 0 do nop;          // wait until byte is out by SPI
L__SPIread139:
	BTFSC       SSPSTAT+0, 0 
	GOTO        L__SPIread140
	NOP
	GOTO        L__SPIread139
L__SPIread140:
;RFMLib30.mpas,693 :: 		result := SSPBUF;                    // give back received byte
	MOVF        SSPBUF+0, 0 
	MOVWF       R1 
;RFMLib30.mpas,694 :: 		end;
	MOVF        R1, 0 
	MOVWF       R0 
L_end_SPIread:
	RETURN      0
; end of _SPIread

_SPIreadM:

;RFMLib30.mpas,700 :: 		begin
;RFMLib30.mpas,701 :: 		SSPBUF  := Bput;
	MOVF        FARG_SPIreadM_Bput+0, 0 
	MOVWF       SSPBUF+0 
;RFMLib30.mpas,702 :: 		nop;nop;
	NOP
	NOP
;RFMLib30.mpas,703 :: 		while SSPSTAT.0 = 0 do nop;          // wait until byte is out by SPI
L__SPIreadM145:
	BTFSC       SSPSTAT+0, 0 
	GOTO        L__SPIreadM146
	NOP
	GOTO        L__SPIreadM145
L__SPIreadM146:
;RFMLib30.mpas,704 :: 		result := SSPBUF;                    // give back received byte
	MOVF        SSPBUF+0, 0 
	MOVWF       R1 
;RFMLib30.mpas,705 :: 		end;
	MOVF        R1, 0 
	MOVWF       R0 
L_end_SPIreadM:
	RETURN      0
; end of _SPIreadM

_Probe:

;RFMLib30.mpas,712 :: 		begin
;RFMLib30.mpas,713 :: 		PROB := 1;
	BSF         RD7_bit+0, BitPos(RD7_bit+0) 
;RFMLib30.mpas,714 :: 		nop;
	NOP
;RFMLib30.mpas,715 :: 		PROB := 0;
	BCF         RD7_bit+0, BitPos(RD7_bit+0) 
;RFMLib30.mpas,716 :: 		end;
L_end_Probe:
	RETURN      0
; end of _Probe
