
_FillTXBU:

;RFM30.mpas,57 :: 		begin
;RFM30.mpas,58 :: 		TXBU[0] := 0x22;
	MOVLW       34
	MOVWF       _TXBU+0 
;RFM30.mpas,59 :: 		TXBU[1] := NdAdr;
	MOVLW       34
	MOVWF       _TXBU+1 
;RFM30.mpas,60 :: 		TXBU[2] := 9;
	MOVLW       9
	MOVWF       _TXBU+2 
;RFM30.mpas,61 :: 		TXBU[3] := $01;
	MOVLW       1
	MOVWF       _TXBU+3 
;RFM30.mpas,62 :: 		TXBU[4] := $51;
	MOVLW       81
	MOVWF       _TXBU+4 
;RFM30.mpas,63 :: 		TXBU[5] := $52;
	MOVLW       82
	MOVWF       _TXBU+5 
;RFM30.mpas,64 :: 		TXBU[6] := $53;
	MOVLW       83
	MOVWF       _TXBU+6 
;RFM30.mpas,65 :: 		TXBU[7] := $54;
	MOVLW       84
	MOVWF       _TXBU+7 
;RFM30.mpas,66 :: 		TXBU[8] := $00;
	CLRF        _TXBU+8 
;RFM30.mpas,67 :: 		TXBU[9] := $00;
	CLRF        _TXBU+9 
;RFM30.mpas,68 :: 		end;
L_end_FillTXBU:
	RETURN      0
; end of _FillTXBU

_DoApp1:

;RFM30.mpas,72 :: 		begin
;RFM30.mpas,74 :: 		01:begin                           // Init App
	MOVF        _A1sta+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp15
;RFM30.mpas,75 :: 		Fmod  := 0;                     // RFM not yet init.
	CLRF        _Fmod+0 
;RFM30.mpas,76 :: 		InitRFM12;
	CALL        _InitRFM12+0, 0
;RFM30.mpas,77 :: 		FillTXBU;
	CALL        _FillTXBU+0, 0
;RFM30.mpas,78 :: 		nSEL  := 1;
	BSF         NSEL+0, BitPos(NSEL+0) 
;RFM30.mpas,79 :: 		SDIX  := 1;
	BSF         SDIX+0, BitPos(SDIX+0) 
;RFM30.mpas,80 :: 		SCKX  := 0;
	BCF         SCKX+0, BitPos(SCKX+0) 
;RFM30.mpas,81 :: 		LEDX  := 0;
	BCF         LEDX+0, BitPos(LEDX+0) 
;RFM30.mpas,82 :: 		LEDR  := 0;
	BCF         LEDR+0, BitPos(LEDR+0) 
;RFM30.mpas,83 :: 		A1tim := 0;
	CLRF        _A1tim+0 
;RFM30.mpas,84 :: 		A1sta := 02;
	MOVLW       2
	MOVWF       _A1sta+0 
;RFM30.mpas,85 :: 		exit;
	GOTO        L_end__DoApp1
;RFM30.mpas,86 :: 		end;
L__DoApp15:
;RFM30.mpas,87 :: 		02:begin                           // wait ~ 10ms
	MOVF        _A1sta+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp18
;RFM30.mpas,88 :: 		if A1tim > 1 then
	MOVF        _A1tim+0, 0 
	SUBLW       1
	BTFSC       STATUS+0, 0 
	GOTO        L__DoApp110
;RFM30.mpas,89 :: 		A1sta := 10;
	MOVLW       10
	MOVWF       _A1sta+0 
L__DoApp110:
;RFM30.mpas,90 :: 		exit;
	GOTO        L_end__DoApp1
;RFM30.mpas,91 :: 		end;
L__DoApp18:
;RFM30.mpas,92 :: 		10:begin                           // start put
	MOVF        _A1sta+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp114
;RFM30.mpas,93 :: 		RFMPutStart;
	CALL        _RFMPutStart+0, 0
;RFM30.mpas,94 :: 		A1sta := 20;
	MOVLW       20
	MOVWF       _A1sta+0 
;RFM30.mpas,95 :: 		exit;
	GOTO        L_end__DoApp1
;RFM30.mpas,96 :: 		end;
L__DoApp114:
;RFM30.mpas,97 :: 		20:begin                           // wait until ready
	MOVF        _A1sta+0, 0 
	XORLW       20
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp117
;RFM30.mpas,98 :: 		if RFMPutReady = 3 then
	CALL        _RFMPutReady+0, 0
	MOVF        R0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp119
;RFM30.mpas,100 :: 		LEDX  := 1;
	BSF         LEDX+0, BitPos(LEDX+0) 
;RFM30.mpas,101 :: 		A1tim := 0;
	CLRF        _A1tim+0 
;RFM30.mpas,102 :: 		A1sta := 30;
	MOVLW       30
	MOVWF       _A1sta+0 
;RFM30.mpas,103 :: 		exit;
	GOTO        L_end__DoApp1
;RFM30.mpas,104 :: 		end;
L__DoApp119:
;RFM30.mpas,105 :: 		if RFMPutReady > 3 then
	CALL        _RFMPutReady+0, 0
	MOVF        R0, 0 
	SUBLW       3
	BTFSC       STATUS+0, 0 
	GOTO        L__DoApp122
;RFM30.mpas,107 :: 		LEDR  := 1;
	BSF         LEDR+0, BitPos(LEDR+0) 
;RFM30.mpas,108 :: 		A1tim := 0;
	CLRF        _A1tim+0 
;RFM30.mpas,109 :: 		A1sta := 30;
	MOVLW       30
	MOVWF       _A1sta+0 
;RFM30.mpas,110 :: 		exit;
	GOTO        L_end__DoApp1
;RFM30.mpas,111 :: 		end;
L__DoApp122:
;RFM30.mpas,112 :: 		exit;
	GOTO        L_end__DoApp1
;RFM30.mpas,113 :: 		end;
L__DoApp117:
;RFM30.mpas,114 :: 		30:begin                           // wait ~ 100ms
	MOVF        _A1sta+0, 0 
	XORLW       30
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp126
;RFM30.mpas,115 :: 		if A1tim >= 10 then
	MOVLW       10
	SUBWF       _A1tim+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__DoApp128
;RFM30.mpas,117 :: 		LEDX  := 0;
	BCF         LEDX+0, BitPos(LEDX+0) 
;RFM30.mpas,118 :: 		LEDR  := 0;
	BCF         LEDR+0, BitPos(LEDR+0) 
;RFM30.mpas,119 :: 		A1tim := 0;
	CLRF        _A1tim+0 
;RFM30.mpas,120 :: 		A1sta := 40;
	MOVLW       40
	MOVWF       _A1sta+0 
;RFM30.mpas,121 :: 		end;
L__DoApp128:
;RFM30.mpas,122 :: 		end;
	GOTO        L__DoApp12
L__DoApp126:
;RFM30.mpas,123 :: 		40:begin                           // wait ~ 200ms
	MOVF        _A1sta+0, 0 
	XORLW       40
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp132
;RFM30.mpas,124 :: 		if A1tim >= 20 then
	MOVLW       20
	SUBWF       _A1tim+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__DoApp134
;RFM30.mpas,126 :: 		A1sta := 10;
	MOVLW       10
	MOVWF       _A1sta+0 
;RFM30.mpas,127 :: 		end;
L__DoApp134:
;RFM30.mpas,128 :: 		end;
	GOTO        L__DoApp12
L__DoApp132:
L__DoApp12:
;RFM30.mpas,130 :: 		end;
L_end__DoApp1:
L_end_DoApp1:
	RETURN      0
; end of _DoApp1

_DoApp2:

;RFM30.mpas,134 :: 		begin
;RFM30.mpas,136 :: 		01:begin                           // Init App
	MOVF        _A2sta+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp240
;RFM30.mpas,137 :: 		Fmod  := 0;                      // RFM not yet init.
	CLRF        _Fmod+0 
;RFM30.mpas,138 :: 		InitRFM12;
	CALL        _InitRFM12+0, 0
;RFM30.mpas,139 :: 		nSEL  := 1;
	BSF         NSEL+0, BitPos(NSEL+0) 
;RFM30.mpas,140 :: 		SDIX  := 1;
	BSF         SDIX+0, BitPos(SDIX+0) 
;RFM30.mpas,141 :: 		SCKX  := 0;
	BCF         SCKX+0, BitPos(SCKX+0) 
;RFM30.mpas,142 :: 		LEDX  := 0;
	BCF         LEDX+0, BitPos(LEDX+0) 
;RFM30.mpas,143 :: 		LEDR  := 0;
	BCF         LEDR+0, BitPos(LEDR+0) 
;RFM30.mpas,144 :: 		A2tim := 0;
	CLRF        _A2tim+0 
;RFM30.mpas,145 :: 		A2sta := 02;
	MOVLW       2
	MOVWF       _A2sta+0 
;RFM30.mpas,146 :: 		exit;
	GOTO        L_end__DoApp2
;RFM30.mpas,147 :: 		end;
L__DoApp240:
;RFM30.mpas,148 :: 		02:begin                           // wait ~ 10ms
	MOVF        _A2sta+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp243
;RFM30.mpas,149 :: 		if A2tim > 1 then
	MOVF        _A2tim+0, 0 
	SUBLW       1
	BTFSC       STATUS+0, 0 
	GOTO        L__DoApp245
;RFM30.mpas,150 :: 		A2sta := 10;
	MOVLW       10
	MOVWF       _A2sta+0 
L__DoApp245:
;RFM30.mpas,151 :: 		exit;
	GOTO        L_end__DoApp2
;RFM30.mpas,152 :: 		end;
L__DoApp243:
;RFM30.mpas,153 :: 		10:begin                           // start get
	MOVF        _A2sta+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp249
;RFM30.mpas,154 :: 		RFMGetStart;
	CALL        _RFMGetStart+0, 0
;RFM30.mpas,155 :: 		A2sta := 20;
	MOVLW       20
	MOVWF       _A2sta+0 
;RFM30.mpas,156 :: 		exit;
	GOTO        L_end__DoApp2
;RFM30.mpas,157 :: 		end;
L__DoApp249:
;RFM30.mpas,158 :: 		20:begin                           // wait until ready
	MOVF        _A2sta+0, 0 
	XORLW       20
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp252
;RFM30.mpas,159 :: 		if RFMGetReady = 3 then
	CALL        _RFMGetReady+0, 0
	MOVF        R0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp254
;RFM30.mpas,161 :: 		LEDX  := 1;
	BSF         LEDX+0, BitPos(LEDX+0) 
;RFM30.mpas,162 :: 		A2tim := 0;
	CLRF        _A2tim+0 
;RFM30.mpas,163 :: 		A2sta := 30;
	MOVLW       30
	MOVWF       _A2sta+0 
;RFM30.mpas,164 :: 		exit;
	GOTO        L_end__DoApp2
;RFM30.mpas,165 :: 		end;
L__DoApp254:
;RFM30.mpas,166 :: 		if RFMGetReady > 3 then
	CALL        _RFMGetReady+0, 0
	MOVF        R0, 0 
	SUBLW       3
	BTFSC       STATUS+0, 0 
	GOTO        L__DoApp257
;RFM30.mpas,168 :: 		LEDR  := 1;
	BSF         LEDR+0, BitPos(LEDR+0) 
;RFM30.mpas,169 :: 		A2tim := 0;
	CLRF        _A2tim+0 
;RFM30.mpas,170 :: 		A2sta := 30;
	MOVLW       30
	MOVWF       _A2sta+0 
;RFM30.mpas,171 :: 		exit;
	GOTO        L_end__DoApp2
;RFM30.mpas,172 :: 		end;
L__DoApp257:
;RFM30.mpas,173 :: 		end;
	GOTO        L__DoApp237
L__DoApp252:
;RFM30.mpas,174 :: 		30:begin                           // wait ~ 100ms
	MOVF        _A2sta+0, 0 
	XORLW       30
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp261
;RFM30.mpas,175 :: 		if A2tim >= 10 then
	MOVLW       10
	SUBWF       _A2tim+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__DoApp263
;RFM30.mpas,177 :: 		LEDX  := 0;
	BCF         LEDX+0, BitPos(LEDX+0) 
;RFM30.mpas,178 :: 		LEDR  := 0;
	BCF         LEDR+0, BitPos(LEDR+0) 
;RFM30.mpas,179 :: 		A2sta := 10;
	MOVLW       10
	MOVWF       _A2sta+0 
;RFM30.mpas,180 :: 		end;
L__DoApp263:
;RFM30.mpas,181 :: 		end;
	GOTO        L__DoApp237
L__DoApp261:
L__DoApp237:
;RFM30.mpas,183 :: 		end;
L_end__DoApp2:
L_end_DoApp2:
	RETURN      0
; end of _DoApp2

_DoApp3:

;RFM30.mpas,187 :: 		begin
;RFM30.mpas,189 :: 		01:begin
	MOVF        _A3sta+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp369
;RFM30.mpas,190 :: 		A3tim := 0;
	CLRF        _A3tim+0 
;RFM30.mpas,191 :: 		LEDB  := 1;
	BSF         LEDB+0, BitPos(LEDB+0) 
;RFM30.mpas,192 :: 		A3sta := 02;
	MOVLW       2
	MOVWF       _A3sta+0 
;RFM30.mpas,193 :: 		exit;
	GOTO        L_end__DoApp3
;RFM30.mpas,194 :: 		end;
L__DoApp369:
;RFM30.mpas,195 :: 		02:begin
	MOVF        _A3sta+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__DoApp372
;RFM30.mpas,196 :: 		if A3tim > 50 then
	MOVF        _A3tim+0, 0 
	SUBLW       50
	BTFSC       STATUS+0, 0 
	GOTO        L__DoApp374
;RFM30.mpas,197 :: 		LEDB := 0;
	BCF         LEDB+0, BitPos(LEDB+0) 
L__DoApp374:
;RFM30.mpas,198 :: 		if A3tim > 100 then
	MOVF        _A3tim+0, 0 
	SUBLW       100
	BTFSC       STATUS+0, 0 
	GOTO        L__DoApp377
;RFM30.mpas,199 :: 		A3sta := 01;
	MOVLW       1
	MOVWF       _A3sta+0 
L__DoApp377:
;RFM30.mpas,200 :: 		exit;
	GOTO        L_end__DoApp3
;RFM30.mpas,201 :: 		end;
L__DoApp372:
;RFM30.mpas,203 :: 		end;
L_end__DoApp3:
L_end_DoApp3:
	RETURN      0
; end of _DoApp3

_InitTMR0:

;RFM30.mpas,207 :: 		begin
;RFM30.mpas,208 :: 		T0CON := %10011000;                  { T0 on, no Prescaler }
	MOVLW       152
	MOVWF       T0CON+0 
;RFM30.mpas,209 :: 		TMR0H    := $93;                     { Timer0 = 10 mS }
	MOVLW       147
	MOVWF       TMR0H+0 
;RFM30.mpas,210 :: 		TMR0L    := $FF;                     { T0 = 65.535 - 27.648 = 37.887 -> $93FF}
	MOVLW       255
	MOVWF       TMR0L+0 
;RFM30.mpas,211 :: 		end;
L_end_InitTMR0:
	RETURN      0
; end of _InitTMR0

_Interrupt:

;RFM30.mpas,216 :: 		begin
;RFM30.mpas,217 :: 		if (INTCON.5 = 1) and (INTCON.2 = 1) then
	BTFSC       INTCON+0, 5 
	GOTO        L__Interrupt108
	BCF         R1, 0 
	GOTO        L__Interrupt109
L__Interrupt108:
	BSF         R1, 0 
L__Interrupt109:
	BTFSC       INTCON+0, 2 
	GOTO        L__Interrupt110
	BCF         4056, 0 
	GOTO        L__Interrupt111
L__Interrupt110:
	BSF         4056, 0 
L__Interrupt111:
	BTFSS       R1, 0 
	GOTO        L__Interrupt112
	BTFSS       4056, 0 
	GOTO        L__Interrupt112
	BSF         R1, 0 
	GOTO        L__Interrupt113
L__Interrupt112:
	BCF         R1, 0 
L__Interrupt113:
	BTFSS       R1, 0 
	GOTO        L__Interrupt82
;RFM30.mpas,220 :: 		TMR0H    := $93;                   { Timer0 setzen = 10 mS }
	MOVLW       147
	MOVWF       TMR0H+0 
;RFM30.mpas,221 :: 		TMR0L    := $FF;
	MOVLW       255
	MOVWF       TMR0L+0 
;RFM30.mpas,222 :: 		inc(A1tim);                        // increment App-timer
	INCF        _A1tim+0, 1 
;RFM30.mpas,223 :: 		inc(A2tim);
	INCF        _A2tim+0, 1 
;RFM30.mpas,224 :: 		inc(A3tim);
	INCF        _A3tim+0, 1 
;RFM30.mpas,225 :: 		INTCON.2 := 0;                     { Reset Flag }
	BCF         INTCON+0, 2 
;RFM30.mpas,226 :: 		end;
L__Interrupt82:
;RFM30.mpas,229 :: 		if (INTCON.4 = 1) and (INTCON.1 = 1) then
	BTFSC       INTCON+0, 4 
	GOTO        L__Interrupt114
	BCF         R1, 0 
	GOTO        L__Interrupt115
L__Interrupt114:
	BSF         R1, 0 
L__Interrupt115:
	BTFSC       INTCON+0, 1 
	GOTO        L__Interrupt116
	BCF         4056, 0 
	GOTO        L__Interrupt117
L__Interrupt116:
	BSF         4056, 0 
L__Interrupt117:
	BTFSS       R1, 0 
	GOTO        L__Interrupt118
	BTFSS       4056, 0 
	GOTO        L__Interrupt118
	BSF         R1, 0 
	GOTO        L__Interrupt119
L__Interrupt118:
	BCF         R1, 0 
L__Interrupt119:
	BTFSS       R1, 0 
	GOTO        L__Interrupt85
;RFM30.mpas,231 :: 		if Fmod = 2 then
	MOVF        _Fmod+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__Interrupt88
;RFM30.mpas,232 :: 		RFM12IntRX;
	CALL        _RFM12IntRX+0, 0
L__Interrupt88:
;RFM30.mpas,233 :: 		if Fmod = 4 then
	MOVF        _Fmod+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__Interrupt91
;RFM30.mpas,234 :: 		RFM12IntTX;
	CALL        _RFM12IntTX+0, 0
L__Interrupt91:
;RFM30.mpas,235 :: 		INTCON.1 := 0;                     { Reset Flag }
	BCF         INTCON+0, 1 
;RFM30.mpas,236 :: 		end;
L__Interrupt85:
;RFM30.mpas,238 :: 		end;
L_end_Interrupt:
L__Interrupt107:
	RETFIE      1
; end of _Interrupt

_main:

;RFM30.mpas,241 :: 		begin
;RFM30.mpas,242 :: 		delay_ms(100);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       69
	MOVWF       R12, 0
	MOVLW       169
	MOVWF       R13, 0
L__main94:
	DECFSZ      R13, 1, 1
	BRA         L__main94
	DECFSZ      R12, 1, 1
	BRA         L__main94
	DECFSZ      R11, 1, 1
	BRA         L__main94
	NOP
	NOP
;RFM30.mpas,243 :: 		Init4620;
	CALL        _Init4620+0, 0
;RFM30.mpas,244 :: 		delay_ms(10);
	MOVLW       33
	MOVWF       R12, 0
	MOVLW       118
	MOVWF       R13, 0
L__main95:
	DECFSZ      R13, 1, 1
	BRA         L__main95
	DECFSZ      R12, 1, 1
	BRA         L__main95
	NOP
;RFM30.mpas,245 :: 		InitTMR0;
	CALL        _InitTMR0+0, 0
;RFM30.mpas,246 :: 		INTCON := %10110000;
	MOVLW       176
	MOVWF       INTCON+0 
;RFM30.mpas,248 :: 		A1sta := 01;                         // Init state machines
	MOVLW       1
	MOVWF       _A1sta+0 
;RFM30.mpas,249 :: 		A2sta := 01;
	MOVLW       1
	MOVWF       _A2sta+0 
;RFM30.mpas,250 :: 		A3sta := 01;
	MOVLW       1
	MOVWF       _A3sta+0 
;RFM30.mpas,252 :: 		while true do
L__main97:
;RFM30.mpas,254 :: 		DoApp1;                            // Test put
	CALL        _DoApp1+0, 0
;RFM30.mpas,256 :: 		DoApp3;                            // additional app
	CALL        _DoApp3+0, 0
;RFM30.mpas,257 :: 		end;
	GOTO        L__main97
;RFM30.mpas,259 :: 		end.
L_end_main:
	GOTO        $+0
; end of _main
